List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/scouting \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/scouting"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/scouting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/scouting",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 170502,
"observations": null,
"campaign_id": 48881,
"objective_yield_kg_ha": 4200,
"phenological_state_id": 1,
"hydric_state_id": 1,
"plot_state_id": 3,
"semaphore": 3,
"samples_taken": 5,
"knots": null,
"estimated_yield": 4200,
"plant_height": null,
"scouting_protocol_results": [
{
"id": 701324,
"adversity_id": 9,
"protocol_id": 11,
"measure_id": 31,
"agg_result_value": "0.200",
"semaphore": 1
},
{
"id": 701325,
"adversity_id": 119,
"protocol_id": 11,
"measure_id": 31,
"agg_result_value": "0.400",
"semaphore": 1
},
{
"id": 146940,
"adversity_id": 160,
"protocol_id": 1,
"measure_id": 1,
"agg_result_value": "0.600",
"semaphore": 2
},
{
"id": 372595,
"adversity_id": 160,
"protocol_id": 1,
"measure_id": 2,
"agg_result_value": "5.000",
"semaphore": 3
},
{
"id": 146941,
"adversity_id": 162,
"protocol_id": 1,
"measure_id": 1,
"agg_result_value": "0.200",
"semaphore": 2
},
{
"id": 372596,
"adversity_id": 162,
"protocol_id": 1,
"measure_id": 2,
"agg_result_value": "4.000",
"semaphore": 3
},
{
"id": 146942,
"adversity_id": 229,
"protocol_id": 3,
"measure_id": 1,
"agg_result_value": "0.800",
"semaphore": 2
},
{
"id": 372597,
"adversity_id": 229,
"protocol_id": 3,
"measure_id": 2,
"agg_result_value": "4.000",
"semaphore": 3
},
{
"id": 146943,
"adversity_id": 262,
"protocol_id": 1,
"measure_id": 1,
"agg_result_value": "0.200",
"semaphore": 2
},
{
"id": 372598,
"adversity_id": 262,
"protocol_id": 1,
"measure_id": 2,
"agg_result_value": "4.000",
"semaphore": 3
},
{
"id": 146944,
"adversity_id": 264,
"protocol_id": 1,
"measure_id": 1,
"agg_result_value": "0.600",
"semaphore": 2
},
{
"id": 372599,
"adversity_id": 264,
"protocol_id": 1,
"measure_id": 2,
"agg_result_value": "3.000",
"semaphore": 3
},
{
"id": 146945,
"adversity_id": 286,
"protocol_id": 1,
"measure_id": 1,
"agg_result_value": "0.800",
"semaphore": 2
},
{
"id": 372600,
"adversity_id": 286,
"protocol_id": 1,
"measure_id": 2,
"agg_result_value": "5.000",
"semaphore": 3
},
{
"id": 146946,
"adversity_id": 287,
"protocol_id": 2,
"measure_id": 1,
"agg_result_value": "0.400",
"semaphore": 1
},
{
"id": 372601,
"adversity_id": 287,
"protocol_id": 2,
"measure_id": 2,
"agg_result_value": "4.000",
"semaphore": 3
},
{
"id": 146947,
"adversity_id": 408,
"protocol_id": 3,
"measure_id": 1,
"agg_result_value": "0.800",
"semaphore": 2
},
{
"id": 372602,
"adversity_id": 408,
"protocol_id": 3,
"measure_id": 2,
"agg_result_value": "4.500",
"semaphore": 3
},
{
"id": 918945,
"adversity_id": 677,
"protocol_id": 6,
"measure_id": 4,
"agg_result_value": "0.000",
"semaphore": 1
},
{
"id": 918946,
"adversity_id": 677,
"protocol_id": 6,
"measure_id": 5,
"agg_result_value": "0.000",
"semaphore": 1
},
{
"id": 918947,
"adversity_id": 691,
"protocol_id": 5,
"measure_id": 3,
"agg_result_value": "0.200",
"semaphore": 1
}
],
"scouting_sample_values": [
{
"id": 80149,
"adversity_id": 160,
"protocol_id": 1,
"measure_id": 1,
"sample": 1,
"semaphore": null,
"value": "3.000"
},
{
"id": 442888,
"adversity_id": 160,
"protocol_id": 1,
"measure_id": 2,
"sample": 1,
"semaphore": null,
"value": "5.000"
},
{
"id": 260204,
"adversity_id": 229,
"protocol_id": 3,
"measure_id": 1,
"sample": 1,
"semaphore": null,
"value": "4.000"
},
{
"id": 622943,
"adversity_id": 229,
"protocol_id": 3,
"measure_id": 2,
"sample": 1,
"semaphore": null,
"value": "4.000"
},
{
"id": 346758,
"adversity_id": 286,
"protocol_id": 1,
"measure_id": 1,
"sample": 1,
"semaphore": null,
"value": "4.000"
},
{
"id": 709497,
"adversity_id": 286,
"protocol_id": 1,
"measure_id": 2,
"sample": 1,
"semaphore": null,
"value": "5.000"
},
{
"id": 353342,
"adversity_id": 287,
"protocol_id": 2,
"measure_id": 1,
"sample": 1,
"semaphore": null,
"value": "2.000"
},
{
"id": 716081,
"adversity_id": 287,
"protocol_id": 2,
"measure_id": 2,
"sample": 1,
"semaphore": null,
"value": "4.000"
},
{
"id": 391562,
"adversity_id": 408,
"protocol_id": 3,
"measure_id": 1,
"sample": 1,
"semaphore": null,
"value": "2.000"
},
{
"id": 754301,
"adversity_id": 408,
"protocol_id": 3,
"measure_id": 2,
"sample": 1,
"semaphore": null,
"value": "5.000"
},
{
"id": 291668,
"adversity_id": 262,
"protocol_id": 1,
"measure_id": 1,
"sample": 2,
"semaphore": null,
"value": "1.000"
},
{
"id": 654407,
"adversity_id": 262,
"protocol_id": 1,
"measure_id": 2,
"sample": 2,
"semaphore": null,
"value": "4.000"
},
{
"id": 305216,
"adversity_id": 264,
"protocol_id": 1,
"measure_id": 1,
"sample": 2,
"semaphore": null,
"value": "3.000"
},
{
"id": 667955,
"adversity_id": 264,
"protocol_id": 1,
"measure_id": 2,
"sample": 2,
"semaphore": null,
"value": "3.000"
},
{
"id": 98085,
"adversity_id": 162,
"protocol_id": 1,
"measure_id": 1,
"sample": 3,
"semaphore": null,
"value": "1.000"
},
{
"id": 460824,
"adversity_id": 162,
"protocol_id": 1,
"measure_id": 2,
"sample": 3,
"semaphore": null,
"value": "4.000"
},
{
"id": 391563,
"adversity_id": 408,
"protocol_id": 3,
"measure_id": 1,
"sample": 3,
"semaphore": null,
"value": "2.000"
},
{
"id": 754302,
"adversity_id": 408,
"protocol_id": 3,
"measure_id": 2,
"sample": 3,
"semaphore": null,
"value": "4.000"
},
{
"id": 3110997,
"adversity_id": 677,
"protocol_id": 6,
"measure_id": 4,
"sample": 3,
"semaphore": null,
"value": "0.000"
},
{
"id": 3209022,
"adversity_id": 677,
"protocol_id": 6,
"measure_id": 5,
"sample": 3,
"semaphore": null,
"value": "0.000"
},
{
"id": 3063462,
"adversity_id": 691,
"protocol_id": 5,
"measure_id": 3,
"sample": 3,
"semaphore": null,
"value": "1.000"
},
{
"id": 885405,
"adversity_id": 9,
"protocol_id": 11,
"measure_id": 31,
"sample": 4,
"semaphore": null,
"value": "1.000"
},
{
"id": 1603005,
"adversity_id": 9,
"protocol_id": 11,
"measure_id": 76,
"sample": 4,
"semaphore": null,
"value": "0.000"
},
{
"id": 2261638,
"adversity_id": 9,
"protocol_id": 11,
"measure_id": 85,
"sample": 4,
"semaphore": null,
"value": "0.000"
},
{
"id": 1219576,
"adversity_id": 119,
"protocol_id": 11,
"measure_id": 31,
"sample": 4,
"semaphore": null,
"value": "2.000"
},
{
"id": 1915629,
"adversity_id": 119,
"protocol_id": 11,
"measure_id": 76,
"sample": 4,
"semaphore": null,
"value": "0.000"
},
{
"id": 2579697,
"adversity_id": 119,
"protocol_id": 11,
"measure_id": 85,
"sample": 4,
"semaphore": null,
"value": "0.000"
}
],
"scouting_sample_alerts": [
{
"id": 374121,
"latitude": null,
"longitude": null,
"sem_diseases": 1,
"sem_insects": 1,
"sem_summary": 3,
"sem_weed": 3
},
{
"id": 374122,
"latitude": null,
"longitude": null,
"sem_diseases": 1,
"sem_insects": 1,
"sem_summary": 2,
"sem_weed": 2
},
{
"id": 374123,
"latitude": null,
"longitude": null,
"sem_diseases": 3,
"sem_insects": 1,
"sem_summary": 3,
"sem_weed": 3
},
{
"id": 374124,
"latitude": null,
"longitude": null,
"sem_diseases": 1,
"sem_insects": 1,
"sem_summary": 1,
"sem_weed": 1
},
{
"id": 374125,
"latitude": null,
"longitude": null,
"sem_diseases": 1,
"sem_insects": 1,
"sem_summary": 1,
"sem_weed": 1
}
],
"created_at": "2019-03-06T04:58:05-03:00",
"modified_at": "2019-03-06T04:58:04-03:00",
"deleted_at": null,
"active": true
},
{
"id": 171848,
"observations": null,
"campaign_id": 48881,
"objective_yield_kg_ha": 4200,
"phenological_state_id": 1,
"hydric_state_id": 1,
"plot_state_id": 3,
"semaphore": 1,
"samples_taken": 1,
"knots": null,
"estimated_yield": 4200,
"plant_height": null,
"scouting_protocol_results": [
{
"id": 704689,
"adversity_id": 9,
"protocol_id": 11,
"measure_id": 85,
"agg_result_value": "42.500",
"semaphore": 1
},
{
"id": 704690,
"adversity_id": 26,
"protocol_id": 11,
"measure_id": 85,
"agg_result_value": "42.500",
"semaphore": 1
},
{
"id": 704691,
"adversity_id": 84,
"protocol_id": 11,
"measure_id": 85,
"agg_result_value": "42.500",
"semaphore": 1
},
{
"id": 704692,
"adversity_id": 119,
"protocol_id": 11,
"measure_id": 85,
"agg_result_value": "42.500",
"semaphore": 1
},
{
"id": 704693,
"adversity_id": 135,
"protocol_id": 11,
"measure_id": 85,
"agg_result_value": "42.500",
"semaphore": 1
},
{
"id": 704694,
"adversity_id": 138,
"protocol_id": 11,
"measure_id": 85,
"agg_result_value": "42.500",
"semaphore": 1
},
{
"id": 704695,
"adversity_id": 139,
"protocol_id": 11,
"measure_id": 85,
"agg_result_value": "42.500",
"semaphore": 1
}
],
"scouting_sample_values": [
{
"id": 886087,
"adversity_id": 9,
"protocol_id": 11,
"measure_id": 31,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 1603687,
"adversity_id": 9,
"protocol_id": 11,
"measure_id": 76,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2262320,
"adversity_id": 9,
"protocol_id": 11,
"measure_id": 85,
"sample": 1,
"semaphore": null,
"value": "42.500"
},
{
"id": 962914,
"adversity_id": 26,
"protocol_id": 11,
"measure_id": 31,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 1678998,
"adversity_id": 26,
"protocol_id": 11,
"measure_id": 76,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2359056,
"adversity_id": 26,
"protocol_id": 11,
"measure_id": 85,
"sample": 1,
"semaphore": null,
"value": "42.500"
},
{
"id": 1079551,
"adversity_id": 84,
"protocol_id": 11,
"measure_id": 31,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 1781139,
"adversity_id": 84,
"protocol_id": 11,
"measure_id": 76,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2472380,
"adversity_id": 84,
"protocol_id": 11,
"measure_id": 85,
"sample": 1,
"semaphore": null,
"value": "42.500"
},
{
"id": 1220344,
"adversity_id": 119,
"protocol_id": 11,
"measure_id": 31,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 1916397,
"adversity_id": 119,
"protocol_id": 11,
"measure_id": 76,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2580465,
"adversity_id": 119,
"protocol_id": 11,
"measure_id": 85,
"sample": 1,
"semaphore": null,
"value": "42.500"
},
{
"id": 1316559,
"adversity_id": 135,
"protocol_id": 11,
"measure_id": 31,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2007466,
"adversity_id": 135,
"protocol_id": 11,
"measure_id": 76,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2675781,
"adversity_id": 135,
"protocol_id": 11,
"measure_id": 85,
"sample": 1,
"semaphore": null,
"value": "42.500"
},
{
"id": 1409891,
"adversity_id": 138,
"protocol_id": 11,
"measure_id": 31,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2100798,
"adversity_id": 138,
"protocol_id": 11,
"measure_id": 76,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2769113,
"adversity_id": 138,
"protocol_id": 11,
"measure_id": 85,
"sample": 1,
"semaphore": null,
"value": "42.500"
},
{
"id": 1482988,
"adversity_id": 139,
"protocol_id": 11,
"measure_id": 31,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2173895,
"adversity_id": 139,
"protocol_id": 11,
"measure_id": 76,
"sample": 1,
"semaphore": null,
"value": "0.000"
},
{
"id": 2842210,
"adversity_id": 139,
"protocol_id": 11,
"measure_id": 85,
"sample": 1,
"semaphore": null,
"value": "42.500"
}
],
"scouting_sample_alerts": [
{
"id": 376585,
"latitude": -32.93489552,
"longitude": -60.6567339,
"sem_diseases": 1,
"sem_insects": 1,
"sem_summary": 1,
"sem_weed": 1
}
],
"created_at": "2019-03-11T08:31:30-03:00",
"modified_at": "2019-03-11T08:31:30-03:00",
"deleted_at": null,
"active": true
},
{
"id": 745201,
"observations": null,
"campaign_id": 173019,
"objective_yield_kg_ha": null,
"phenological_state_id": 66,
"hydric_state_id": null,
"plot_state_id": null,
"semaphore": 1,
"samples_taken": 1,
"knots": null,
"estimated_yield": null,
"plant_height": null,
"scouting_protocol_results": [],
"scouting_sample_values": [],
"scouting_sample_alerts": [
{
"id": 1636104,
"latitude": null,
"longitude": null,
"sem_diseases": 1,
"sem_insects": 1,
"sem_summary": 1,
"sem_weed": 1
}
],
"created_at": "2022-05-27T16:45:12-03:00",
"modified_at": "2022-05-27T16:45:12-03:00",
"deleted_at": null,
"active": true
},
{
"id": 1043796,
"observations": null,
"campaign_id": 303299,
"objective_yield_kg_ha": 4000,
"phenological_state_id": 20,
"hydric_state_id": null,
"plot_state_id": null,
"semaphore": 1,
"samples_taken": 1,
"knots": null,
"estimated_yield": 4000,
"plant_height": null,
"scouting_protocol_results": [
{
"id": 2528861,
"adversity_id": 62,
"protocol_id": 26,
"measure_id": 14,
"agg_result_value": "6.000",
"semaphore": 1
},
{
"id": 2528862,
"adversity_id": 62,
"protocol_id": 26,
"measure_id": 110,
"agg_result_value": "40.000",
"semaphore": 1
}
],
"scouting_sample_values": [
{
"id": 6246054,
"adversity_id": 62,
"protocol_id": 26,
"measure_id": 14,
"sample": 1,
"semaphore": 1,
"value": "6.000"
},
{
"id": 6246055,
"adversity_id": 62,
"protocol_id": 26,
"measure_id": 110,
"sample": 1,
"semaphore": 1,
"value": "40.000"
}
],
"scouting_sample_alerts": [
{
"id": 2065979,
"latitude": -33.0220569,
"longitude": -60.8835935,
"sem_diseases": 1,
"sem_insects": 1,
"sem_summary": 1,
"sem_weed": 1
}
],
"created_at": "2023-08-14T15:15:07-03:00",
"modified_at": "2023-12-06T11:04:20-03:00",
"deleted_at": null,
"active": true
},
{
"id": 1325759,
"observations": null,
"campaign_id": 329730,
"objective_yield_kg_ha": null,
"phenological_state_id": 69,
"hydric_state_id": 5,
"plot_state_id": 3,
"semaphore": 3,
"samples_taken": 1,
"knots": null,
"estimated_yield": null,
"plant_height": null,
"scouting_protocol_results": [
{
"id": 3042052,
"adversity_id": 98,
"protocol_id": 10,
"measure_id": 24,
"agg_result_value": "3.000",
"semaphore": 1
},
{
"id": 3042053,
"adversity_id": 98,
"protocol_id": 10,
"measure_id": 71,
"agg_result_value": "4.000",
"semaphore": 1
},
{
"id": 3042054,
"adversity_id": 98,
"protocol_id": 10,
"measure_id": 356,
"agg_result_value": "1.000",
"semaphore": 1
},
{
"id": 3042050,
"adversity_id": 157,
"protocol_id": 1,
"measure_id": 1,
"agg_result_value": "2.000",
"semaphore": 1
},
{
"id": 3042055,
"adversity_id": 157,
"protocol_id": 1,
"measure_id": 2,
"agg_result_value": "2.000",
"semaphore": 1
},
{
"id": 3042051,
"adversity_id": 709,
"protocol_id": 6,
"measure_id": 4,
"agg_result_value": "16.000",
"semaphore": 1
},
{
"id": 3042056,
"adversity_id": 709,
"protocol_id": 6,
"measure_id": 5,
"agg_result_value": "7.000",
"semaphore": 1
}
],
"scouting_sample_values": [
{
"id": 7213726,
"adversity_id": 98,
"protocol_id": 10,
"measure_id": 24,
"sample": 1,
"semaphore": 1,
"value": "3.000"
},
{
"id": 7213727,
"adversity_id": 98,
"protocol_id": 10,
"measure_id": 71,
"sample": 1,
"semaphore": 1,
"value": "4.000"
},
{
"id": 7213728,
"adversity_id": 98,
"protocol_id": 10,
"measure_id": 356,
"sample": 1,
"semaphore": 1,
"value": "1.000"
},
{
"id": 7213729,
"adversity_id": 157,
"protocol_id": 1,
"measure_id": 1,
"sample": 1,
"semaphore": 1,
"value": "2.000"
},
{
"id": 7213730,
"adversity_id": 157,
"protocol_id": 1,
"measure_id": 2,
"sample": 1,
"semaphore": 1,
"value": "2.000"
},
{
"id": 7213731,
"adversity_id": 709,
"protocol_id": 6,
"measure_id": 4,
"sample": 1,
"semaphore": 1,
"value": "16.000"
},
{
"id": 7213732,
"adversity_id": 709,
"protocol_id": 6,
"measure_id": 5,
"sample": 1,
"semaphore": 1,
"value": "7.000"
}
],
"scouting_sample_alerts": [
{
"id": 2433006,
"latitude": null,
"longitude": null,
"sem_diseases": 1,
"sem_insects": 1,
"sem_summary": 1,
"sem_weed": 1
}
],
"created_at": "2024-08-02T09:15:01-03:00",
"modified_at": "2024-08-02T09:15:01-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 25,
"total_items": 123
}Version 3 > Scoutings > Scouting
List
GET
/
api
/
v3
/
third_party
/
scouting
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

